﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WebConfigEncrypt.Types {
    
    public class IISDirectory {

        /// <summary>
        /// The full path name for this directory
        /// </summary>
        public string Name { get; set; }
        
        /// <summary>
        /// The physical path for this directory
        /// </summary>
        public string VirtualPath { get; set; }
        
        /// <summary>
        /// The root name for this site
        /// </summary>
        public string Site { get; set; }

        /// <summary>
        /// The actual path to this file
        /// </summary>
        public string PhysicalPath { get; set; }

        /// <summary>
        /// The identity for this site
        /// </summary>
        public string Identity { get; set; }

        public override string ToString() {
            return this.Name;
        }

    }

}
